For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList events
      • POSTCreate an event
      • GETGet an event
      • POSTAcknowledge an event
      • GETGet subscription credentials
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceEvents

Get subscription credentials

GET
https://api.x.flatfile.com/v1/subscription
GET
/v1/subscription
$curl https://api.x.flatfile.com/v1/subscription \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "accountId": "us_acc_YOUR_ID",
4 "subscribeKey": "sub-c-TOKEN",
5 "ttl": 15,
6 "token": "LONG-TOKEN"
7 }
8}
Get a token which can be used to subscribe to events for this space
Was this page helpful?
Previous

List files

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

scopestringOptional

The resource ID of the event stream (space or environment id)

spaceIdstringOptionalDeprecated
The space ID of the event stream

Response

This endpoint returns an object.
dataobject
Properties used to allow users to connect to the event bus

Errors

400
Bad Request Error
404
Not Found Error